> For the complete documentation index, see [llms.txt](https://docs.medcrypt.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.medcrypt.com/fr/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-initializeoptions.md).

# medcrypt::guardian::InitializeOptions

## Présentation

Voici les options de configuration d’initialisation permettant d’ [initialiser Guardian](/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-guardian.md#step-2-run-initialize).

**Inclure :**

```cpp
#include <InitializeOptions.h>
```

**Syntaxe :**

```cpp
struct medcrypt::guardian::InitializeOptions;
```

### Membres de la structure

* **is\_mocked :** Indicateur de profil simulé
* **log\_level :** Énumération des niveaux de journalisation

### Détails des membres

#### is\_mocked :

* **Description :** Indicateur de profil simulé qui détermine si le profil fourni pour l’initialisation est un profil de test « simulé » sans verrouillage de nœud.
* **Type :** `bool`
* **Valeur par défaut :** `false`
* **Syntaxe :**

```cpp
bool is_mocked = false;
```

#### log\_level :

* **Description :** Énumération des niveaux de journalisation. Consultez LogLevelEnum.h pour connaître les niveaux acceptés.
* **Type :** `LogLevelEnum::Type`
* **Valeur par défaut :** `LogLevelEnum::Warn`
* `Syntax:`

```cpp
LogLevelEnum::Type log_level = [LogLevelEnum::Warn](../namespaces/namespacemedcrypt-guardian-loglevelenum.md#enumvalue-warn);
```

### Classes associées

* [Classe Guardian](/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-guardian.md#overview): Utilise `InitializeFiles` dans [Initialize()](/fr/guardian/api-overview/api-reference/classes/classmedcrypt-guardian-guardian.md#step-2-run-initialize) fonction
* Espace de noms LogLevelEnum : contient les valeurs des niveaux de journalisation

## Débogage et journalisation

Guardian ne crée pas de fichiers journaux. La journalisation est plutôt contrôlée par l’application :

* Guardian écrit les journaux dans `stdout` et `stderr`, qui s’affichent dans le terminal/la CLI de l’application en cours d’exécution. Recherchez dans la sortie les codes d’erreur spécifiques ou les échecs de connexion.
* **Journalisation personnalisée :** Utilisez `SetLoggingCallback` pour rediriger les messages de journalisation vers une fonction de rappel, interrompre leur affichage dans le terminal et permettre un traitement personnalisé des journaux
* **Contrôle de la journalisation :** Les applications peuvent contrôler le niveau et le degré de détail de la journalisation.
* **Interface utilisateur de Guardian Cloud**: Consultez l’interface Guardian Cloud pour obtenir des détails supplémentaires sur les erreurs et connaître l’état du provisionnement.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.medcrypt.com/fr/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-initializeoptions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
